# synfig::CIntersect Class Reference

`#include <curve_helper.h>`

List of all members.

## Public Types

typedef std::vector< std::pair < float, float > > | intersect_set

## Public Member Functions

| CIntersect ()
bool | operator() (const etl::bezier< Point > &b1, const etl::bezier< Point > &b2)

## Public Attributes

intersect_set | times
int | max_depth

## Member Typedef Documentation

typedef std::vector< std::pair<float,float > > synfig::CIntersect::intersect_set

## Constructor & Destructor Documentation

CIntersect::CIntersect | ( |  | ) |

## Member Function Documentation

bool CIntersect::operator() | ( | const etl::bezier< Point > & | b1,
|  | const etl::bezier< Point > & | b2 |
| ) |  |  |

References synfig::Bound(), clean_bez(), recurse_intersect(), and times.

## Member Data Documentation

intersect_set synfig::CIntersect::times

Referenced by operator()().

int synfig::CIntersect::max_depth

The documentation for this class was generated from the following files:

- curve_helper.h
- curve_helper.cpp